| Home · API Reference · Modules

Variables
Maliit::InputMethodQuery Namespace Reference

## Variables

const char *const | correctionEnabledQuery = "maliit-correction-enabled"
const char *const | attributeExtensionId = "maliit-attribute-extension-id"
const char *const | attributeExtension = "maliit-attribute-extension"
const char *const | westernNumericInputEnforced = "maliit-western-numeric-input-enforced"
const char *const | translucentInputMethod = "maliit-translucent-input-method"
const char *const | suppressInputMethod = "maliit-suppress-input-method"

## Variable Documentation

## ◆ attributeExtension

const char* const Maliit::InputMethodQuery::attributeExtension = "maliit-attribute-extension"

Name of property which holds attribute extension.

See also
  Maliit::InputMethodAttributeExtensionQuery.

## ◆ attributeExtensionId

const char* const Maliit::InputMethodQuery::attributeExtensionId = "maliit-attribute-extension-id"

Name of property which holds ID of attribute extension.

See also
  Maliit::InputMethodAttributeExtensionIdQuery.

## ◆ correctionEnabledQuery

const char* const Maliit::InputMethodQuery::correctionEnabledQuery = "maliit-correction-enabled"

Name of property which tells whether correction is enabled.

See also
  Maliit::ImCorrectionEnabledQuery.

## ◆ suppressInputMethod

const char* const Maliit::InputMethodQuery::suppressInputMethod = "maliit-suppress-input-method"

Name of the property which can suppress VKB even if focused.

See also
  Maliit::VisualizationPriorityQuery

## ◆ translucentInputMethod

const char* const Maliit::InputMethodQuery::translucentInputMethod = "maliit-translucent-input-method"

Name of the property which controls translucent VKB mode.

## ◆ westernNumericInputEnforced

const char* const Maliit::InputMethodQuery::westernNumericInputEnforced = "maliit-western-numeric-input-enforced"

Name of the property which overrides localized numeric input with western numeric input.

See also
  Maliit::WesternNumericInputEnforcedQuery.

Copyright © 2011 Nokia Corporation |  | Maliit